# fable

FABLE: Fallacy Awareness and Bias Learning Environment. Created for AI Applications in Education course taught by Seth Poulsen at Utah State University.

## Compatibility

FABLE has been tested to work on a machine with these specs.

- **Operating System**: Ubuntu 24.10
- **Rust Version**: rustc 1.82.0 (or later)
- **Cargo Version**: cargo 1.82.0 (or later)


## Installation

Because this project is written in Rust, installation and execution should be super simple.

1. Get the source code for this repository, using ONE of the following methods:
    1. Clone using Git:
    ```bash
    git clone https://gitmoss.fyi/mossbiscuits/fable.git
    ```
    2. Download and extract a ZIP or TAR.GZ archive

2. Navigate to the project folder, likely with the following command:
    ```bash
    cd fable
    ```

3. Install Rust (if not already installed)
    1. Install Rust using `rustup` (recommended):
        ```bash
        curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh
        ```
    2. Follow the on-screen instructions to complete the installation.
    3. Ensure Rust is installed correctly:
        ```bash
        rustc --version
        ```

4. Build and run FABLE
    ```bash
    cargo run
    ```
    For best results, run FABLE in a maximized (or fullscreen) terminal.

## Contributing

Contributions are welcome! Please follow the steps at https://gitmoss.fyi/GitMoss/meta/src/branch/main/contribute.md to start contributing.

## License

This project is licensed under the MIT License. See the [LICENSE](LICENSE.md) file for details.

## Notes

- Special thanks to Seth Poulsen and his AI Applications in Education course at Utah State University.
- Portions of this work are produced by generative AI, but all content is manually reviewed and edited.